Loading...
Searching...
No Matches
svn_subst_keywords_t Struct Reference

Values used in keyword expansion. More...

`#include <svn_subst.h>`

## Data Fields

svn_subst_keywords_t fields
String expansion of the like-named keyword, or NULL if the keyword was not selected in the svn:keywords property.
const svn_string_t * | revision
const svn_string_t * | date
const svn_string_t * | author
const svn_string_t * | url
const svn_string_t * | id

## Detailed Description

Values used in keyword expansion.

Deprecated
  Provided for backward compatibility with the 1.2 API.

Definition at line 109 of file svn_subst.h.

## Field Documentation

## author

const svn_string_t* svn_subst_keywords_t::author

Definition at line 119 of file svn_subst.h.

## date

const svn_string_t* svn_subst_keywords_t::date

Definition at line 118 of file svn_subst.h.

## id

const svn_string_t* svn_subst_keywords_t::id

Definition at line 121 of file svn_subst.h.

## revision

const svn_string_t* svn_subst_keywords_t::revision

Definition at line 117 of file svn_subst.h.

## url

const svn_string_t* svn_subst_keywords_t::url

Definition at line 120 of file svn_subst.h.

The documentation for this struct was generated from the following file:

- svn_subst.h